/////////////////////////////////////////////////////////////////////
//		EXTRAS.S
/////////////////////////////////////////////////////////////////////

SETUP

	IF !gt_PLACED_EXTRAS
		Add gt_PLACED_EXTRAS

		PlaceC MIND_SLAYER_1 pM_1
		PlaceC HS_KALDARATH pKALDARATH
		AwardOb HS_KALDARATH dummyflute "flute"

		Add gt_CUE_KALDARATH

	ENDIF

END

VIG TempSetup FALSE

	SetWeather 0 0 0 0 0 0 0 0

	AddBigFire 8443 29236

	CachePortrait VAMPLORD.BIN

END

/////////////////////////////////////////////////////////////////////

VIG MeetKaldarath gt_CUE_KALDARATH && INAREA-P-NEAR_KALDARATH

	Remove gt_CUE_KALDARATH
	Widescreen TRUE

camcut HS_KALDARATH

	LookAtTurn HS_KALDARATH P
	LookATTurn MIND_SLAYER_1 P
	UUComplete HS_KALDARATH

	//"...you seek the flute...you could not begin to understand...Prepare yourself."
	Say kd0001 
	AttackDemo2 HS_KALDARATH
	AttackDemo2 MIND_SLAYER_1

	camcut P

	Widescreen FALSE

END




/////////////////////////////////////////////////////////////////////

VIG DRKaldarath MSG-DR_KALDARATH

	IF !gt_PLAYED_DR_KALDARATH
		Add gt_PLAYED_DR_KALDARATH

		Widescreen TRUE

		//"Be done with it warlock...we shall meet again soon enough..."
		Say kd0002

		IF POS-P-stake
			EngageAndFace P HS_KALDARATH
			AddControl P Capture cM_STAKE_1
			wait 1000
			FX_HexStake HS_KALDARATH
			Add f_KALDARATH_DEAD
			AwardEP xp_KALDARATH_DEAD
			DeleteObjectsInBackpackWithID P stake 1
			UUComplete P
			Wait 1000
		ENDIF

		Widescreen FALSE
	ELSE
		RunS GenericDR
	ENDIF
END

/////////////////////////////////////////////////////////////////////

VIG PickUpFlute ONESEC && !gt_GOT_FLUTE && POS-P-dummyflute

	Add gt_GOT_FLUTE
	QLAdd ql304 qlt304 qlb304

END

/////////////////////////////////////////////////////////////////////
